/**
 * @file webpack.base.js
 * @author lihuazhai
 */
"use strict";

const path = require('path');
const webpack = require('webpack');

const ROOT_PATH = path.resolve(__dirname);
const DIST_PATH = path.resolve(ROOT_PATH, "dist");

module.exports = {
    entry: {
        vendors: ['react', 'react-dom'],
        index: path.resolve(__dirname, 'src/index.js')
    },
    output: {
        path: DIST_PATH,
        filename: 'js/[name].bundle.js'
    },
    optimization: {

    },
    resolve: {
        alias: {
            '@': path.resolve(__dirname, './src/'),
            '@config': path.resolve(__dirname, './src/config/'),
            '@public': path.resolve(__dirname, './src/public/'),
            '@components': path.resolve(__dirname, './src/components/')
        }
    },
    module: {
        rules: [
            {
                test: /\.(js|jsx)$/,
                loader: 'babel-loader',
                exclude: /node_modules/
            },
            {
                test: /\.less$/,
                use: ['style-loader', 'css-loader', 'less-loader'],
                exclude: /\.useable\.less$/
            },
            {
                test: /\.(png|gif|jpg|jpeg|bmp|svg)/,
                use: [
                    {
                        loader: 'url-loader',
                        options: {
                            limit: 8192
                        }
                    }
                ]
            }
        ]
    }
};